List conversations
Retrieve a list of all active or completed chat sessions across all chatbots associated with your account.
GET
/conversationsRequest parameters
Section titled “Request parameters”Headers
AuthorizationstringrequiredYour API Key formatted as Bearer sk_live_…
Response
Section titled “Response”dataarrayA list of conversation objects.
idstringThe unique UUID identifier of the conversation session.
agent_idstringThe UUID of the chatbot that handled this conversation.
statusstringThe status of the conversation (e.g. active, completed).
metadataobjectCustom key-value data associated with this session.
curl -X GET https://app.picobot.dev/api/conversations \ -H "Authorization: Bearer <token>"fetch('https://app.picobot.dev/api/conversations', { method: 'GET', headers: { 'Authorization': 'Bearer <token>' }}).then(res => res.json()).then(console.log);import requests
headers = { "Authorization": "Bearer <token>"}response = requests.get("https://app.picobot.dev/api/conversations", headers=headers)print(response.json())HttpResponse<String> response = Unirest.get("https://app.picobot.dev/api/conversations") .header("Authorization", "Bearer <token>") .asString();{ "data": [ { "id": "b7cd5a46-9878-479e-903c-03bc2a7d09a8", "agent_id": "91981020-f783-4544-ad96-39857ac589cb", "status": "completed", "metadata": { "browser": "Chrome", "country": "US" }, "created_at": "2024-06-14T15:45:34+00:00" } ]}